# Wi-Fi hotspot set state

An action block that enables or disables Wi-Fi hotspot.

The fiber will proceed immediately without pause.

The Wi-Fi adapter may have to be disabled, using the Wi-Fi set state block, before it’s possible to enable hotspot.

This block may cause a `SecurityException` failure or otherwise refuse to work on devices where the manufacturer or carrier has disabled tethering, if so try another Wi-Fi hotspot workaround option in settings. On Android 7.1+ devices the Privileged service workaround may have to be used to avoid DHCP issues preventing other devices from connecting to the hotspot.

Note! This feature isn’t officially supported, may not work on all devices.

## Input arguments

- Wi-Fi hotspot — whether to enable or disable Wi-Fi hotspot.